#ifndef SRX_H
#define SRX_H

#include "simulation.h"

class SRX : public Simulation {
private:
    int _step;
    void _montecarlo(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
public:    
    SRX();
    void step(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
};

#endif // SRX_H
