#ifndef WNDINCLUSIONS_H
#define WNDINCLUSIONS_H

#include <QDialog>
#include <QVector>
#include "space.h"

namespace Ui {
    class WndInclusions;
}

class WndInclusions : public QDialog {
    Q_OBJECT
    
public:
    explicit WndInclusions(QWidget *parent = 0);
    ~WndInclusions();
    QVector<struct Inclusion > getInclusionList(void);

protected:
    void changeEvent(QEvent *e);
    
private slots:
    void _add(void);
    void _remove(void);

private:
    Ui::WndInclusions * _ui;
    QVector<struct Inclusion > _inclusions;
};

#endif // WNDINCLUSIONS_H
