#ifndef CLASS1_H
#define CLASS1_H
#include "simulation.h"

enum Neighborhood {
    nhMoore = 1,
    nhVonNeumann,
    nhPentagonal,
    nhHexagonal
};

class Class1Simulation : public Simulation
{
private:
    enum Neighborhood _neighborhood;

public:
    Class1Simulation(enum Neighborhood n);

    void step(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
};

#endif // CLASS1_H
