#ifndef CLASS3SIMULATION_H
#define CLASS3SIMULATION_H

#include "simulation.h"

class Class3Simulation : public Simulation {
private:
    int _calcutateNeighbors(QVector<QVector<Cell> > & cells, int x, int y, bool mask[3][3], int * resultId);
    int _rule1(QVector<QVector<Cell> > & cells, int x, int y);
    int _rule2(QVector<QVector<Cell> > & cells, int x, int y);
    int _rule3(QVector<QVector<Cell> > & cells, int x, int y);
    int _rule4(QVector<QVector<Cell> > & cells, int x, int y);

public:
    Class3Simulation();
    void step(QVector<QVector<Cell> > & src, QVector<QVector<Cell> > & dest, bool boundaryPeriodic, QVector<struct CellLocation> & emptyCells);
};

#endif // CLASS3SIMULATION_H
